Bug 134029 - Initial keypress not only brings up menu but executes action
Summary: Initial keypress not only brings up menu but executes action
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-29 01:51 UTC by Alan Cox
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version: FC4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-15 16:54:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alan Cox 2004-09-29 01:51:12 UTC
If I tap 'a' at the hit key for menu option I end up straight in
editing. Worse if it hit newline as is the common key to use it enters
the menu selects a kernel and boots it.

Grub should be clearing the keypresses

Comment 1 Jens Petersen 2004-09-30 01:34:51 UTC
Or as a first step could the text at the top at least be changed
with s/any key/Space/.

Comment 2 Jeremy Katz 2004-09-30 20:40:16 UTC
Fixed in -3.

Comment 3 Alan Cox 2004-10-16 00:38:51 UTC
Still says "any key" after updating to rawhide, still has the problem


Comment 4 Alan Cox 2004-12-03 17:44:20 UTC
Still hosed in FC3 final

Comment 5 Peter Jones 2004-12-15 23:17:20 UTC
I can't replicate this with 0.95-3 or newer.  In what way is it still hosed on
FC3 final?

Comment 6 Alan Cox 2006-05-15 16:54:39 UTC
Ok in FC4



Note You need to log in before you can comment on or make changes to this bug.